> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询资金统计

> 查询终端用户按链累计的充值和提现金额。

查询终端用户按链累计的充值和提现金额。

> [!NOTE]
>
> 使用 Broker API Key 调用，并在请求头提供 `X-User-Wallet-Address`。网关会校验钱包与 Broker 的归属关系。 认证规则见[Broker API Key 与签名](https://dexbuilder.mintlify.site/api-reference/common/broker-authentication.md)。

## 使用说明

* 响应中的 `network` 标识对应网络；`deposit` 与 `withdraw` 为 USDT 计价的累计金额。调用时须提供 `x-perp-device-type`。


## OpenAPI

````yaml openapi/dexbuilder.yaml GET /api/v4/dexbuilder/fund_stats
openapi: 3.0.3
info:
  title: DexBuilder 平台 Broker API
  version: 1.0.0
  description: DexBuilder 平台 Broker API，涵盖资产配置、用户、充值与提现能力。认证和用户钱包校验见本站统一网关说明。
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/dexbuilder/fund_stats:
    get:
      tags:
        - 用户
      summary: 查询资金统计
      description: 查询用户资金统计。
      operationId: getDexBuilderFundStats
      parameters:
        - $ref: '#/components/parameters/SubUserWalletAddr'
        - $ref: '#/components/parameters/DeviceType'
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopePerpFundStats'
        '400':
          $ref: '#/components/responses/OpenAPIBadRequest'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          $ref: '#/components/responses/GatewayUnauthorized'
        '403':
          $ref: '#/components/responses/ProjectAccessDenied'
      security:
        - BrokerAPIKey: []
          Timestamp: []
          Signature: []
components:
  parameters:
    SubUserWalletAddr:
      name: X-User-Wallet-Address
      in: header
      required: true
      description: 目标终端用户钱包地址。网关校验该钱包对应的用户属于当前 Broker。
      schema:
        type: string
    DeviceType:
      name: x-perp-device-type
      in: header
      required: true
      description: >-
        DexBuilder 平台 API 设备类型：1 Android、2 iOS、3 WEB。缺失或取值无效时返回
        INVALID_DEVICE_TYPE。仅适用于列明此请求头的平台接口。
      schema:
        type: string
        enum:
          - '1'
          - '2'
          - '3'
      example: '3'
  schemas:
    EnvelopePerpFundStats:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/PerpQueryFundStatsResponse'
    ErrorEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - label
          properties:
            label:
              type: string
              description: 稳定的机器可读错误标识
            data:
              nullable: true
              description: 错误时一般为 null
    EnvelopeBase:
      type: object
      properties:
        code:
          type: integer
          example: 0
          description: 业务码，`0` 表示成功
        message:
          type: string
          example: success
          description: 人类可读说明，成功时为 success
        reason:
          type: string
          description: 错误原因标识；成功时通常为空字符串
        trace_id:
          type: string
          description: 链路追踪 ID，排障时提供
    PerpQueryFundStatsResponse:
      type: object
      properties:
        list:
          type: array
          items:
            $ref: '#/components/schemas/PerpQueryFundStatItem'
    PerpQueryFundStatItem:
      type: object
      properties:
        network:
          type: string
          description: 网络标识，与 GET /networks 一致（小写 bsc、ethereum、solana 等）
        deposit:
          type: string
          description: 累计充值量，USDT 计价十进制字符串
        withdraw:
          type: string
          description: 累计提现量，USDT 计价十进制字符串
  responses:
    OpenAPIBadRequest:
      description: 请求无效（参数、请求体、用户身份或业务校验）
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            invalidArgument:
              summary: 参数无效
              value:
                label: INVALID_ARGUMENT
                message: invalid argument
            userNotFound:
              summary: 用户不存在
              value:
                label: USER_NOT_FOUND
                message: User not found
            missingHeader:
              summary: 缺少必要请求头
              value:
                label: MISSING_REQUIRED_HEADER
                message: invalid headers
    GatewayUnauthorized:
      description: Broker API Key、签名或时间戳无效
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            invalidKey:
              summary: 无效 API Key
              value:
                label: INVALID_KEY
                message: Invalid key provided
                code: 401
                trace_id: abc123
            invalidSignature:
              summary: 签名错误
              value:
                label: INVALID_SIGNATURE
                message: Invalid signature
                code: 401
                trace_id: abc123
    ProjectAccessDenied:
      description: 项目未绑定或 Broker/API Key 不匹配
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          example:
            code: 40300801
            reason: P_DEX_BUILDER_IN_PROJECT_ACCESS_DENIED
            label: PROJECT_ACCESS_DENIED
            message: project access denied
            data: null
  securitySchemes:
    BrokerAPIKey:
      type: apiKey
      in: header
      name: KEY
      description: Broker API Key
    Timestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 秒级时间戳
    Signature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 Broker Secret Key 生成的 HMAC-SHA512 十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.